<template>
  <div>
    <h1 class="text-center mt-4">Participantes</h1>
    <ul class="list-reset mt-3">
      <li class="border-t p-4" :key="index" v-for="(user, index) in selectedUsers">{{user.name}}</li>
    </ul>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  data() {
    return {
      selectedUsers: selectedUsers.sort(sortingFunction)
    };
  }
});

const selectedUsers = [
  {
    name: "Felipe",
    imgUrl: "src",
    id: "101",
    key: "1",
    role: "selected"
  },
  {
    name: "Caio",
    imgUrl: "src",
    id: "102",
    key: "2",
    role: "selected"
  },
  {
    name: "Raul",
    imgUrl: "src",
    id: "103",
    key: "3",
    role: "selected"
  },
  {
    name: "Joedson",
    imgUrl: "src",
    id: "104",
    key: "4",
    role: "selected"
  }
];

let sortingFunction = (a: any, b: any) => {
  var nomeDoPrimeiro = a.name.toLowerCase();
  var nomeDoSegundo = b.name.toLowerCase();
  if (nomeDoPrimeiro < nomeDoSegundo) {
    return -1;
  }
  if (nomeDoPrimeiro > nomeDoSegundo) {
    return 1;
  }
  return 0;
};
</script>